**`T R SUDHARSAN`[NAME]** -NL- Bengaluru, Karnataka • **`7676069202`[PHONES_PHONE]** • **`narik.trs@gmail.com`[EMAILS_EMAIL]** -NL- Engineer-1 **`Software Testing/Release`[EMPLOYER_ROLE]** -NL- **`Summary`[SUMMARY_HEADING]** -NL- Software tester with 5+ years of industry experience. I have delivered well tested/robust -NL- software which runs in AWS cloud for clients across retail and government sectors -NL- Extensive experience in complete Software Testing Life Cycle (STLC) including requirement -NL- analysis, test planning, test case development, test environment setup, test execution and test -NL- reporting. -NL- Hands on experience in building CI/CD pipeline using jenkins and setting up the testing -NL- environment using AWS (EC2, S3), docker. -NL- Mentored a team of 3 testers and guided them to improve the testing pipelines. -NL- Working knowledge on image processing technologies like AI/ML algorithms, CNN (AlexNet). -NL- Excel at creating test plans and writing/running automated test scripts to pinpoint software -NL- defects, track bugs, close open defects and validate functionality. -NL- **`Core Competencies`[SKILLS_HEADING]** -NL- Python -NL- Groovy -NL- AWS (S3, EC2, -NL- Jenkins (CI/CD) -NL- Jmeter -NL- REST API -NL- TestNG -NL- Batch) -NL- Agile Methodolgy -NL- OperatingSystems -NL- Selenium -NL- Apache STORM -NL- Apache KAFKA -NL- RALLY -NL- (Linux,Windows) -NL- GIT -NL- Redmine -NL- Gradle -NL- Docker -NL- SecurityTesting(ZAP) -NL- CNN(AlexNet) -NL- Artificial Intelligence -NL- Application Testing -NL- **`Achievements`[OTHERS_HEADING]** -NL- Isolated deeply for Data generation and improving the accuracy of our Recognition system in company’s cornerstone -NL- software product prior to its 2016 release. -NL- Fuelled additional revenue stream through responsive customer support in SAP’s Pilot and generating $150K revenue with -NL- SAP. -NL- **`Work experience`[WORK_EXPERIENCE_HEADING]** -NL- 2016 - Present -NL- **`Ricoh Innovations Pvt Ltd`[EMPLOYER_COMPANY_NAME]**: **`Software Testing/Release`[EMPLOYER_ROLE]** -NL- OCUTAGRETAILEXECUTION(ORE) -NL- ORE improves in-store retail execution and audits with image recognition technology that turns -NL- everyday shelf images into real-time actionable insights. -NL- It provides the most powerful, accurate and consistent way for CPG manufacturers and retailers -NL- to collect, measure and analyse what is happening on the physical shelf. -NL- Automated the Rest Api testing using Groovy and Python. -NL- Worked in various levels of application testing say functional, non-functional, acceptance, -NL- manual and automation testings. -NL- Involved in debugging the production issues and identified critical bugs. -NL- Tools:Rest Assuered, Pytest, Probasics, Python, Groovy, Gradle, TestNG, AWS, Apache -NL- STORM,Apache KAFKA, CNN (AlexNet), Jmeter, Jenkins, Docker, Redmine, Git -NL- 2015 - 2016 -NL- **`Ricoh Innovations Pvt Ltd`[EMPLOYER_COMPANY_NAME]**: **`Software Testing/Release`[EMPLOYER_ROLE]** -NL- SocialInfrastructureServices(SIS) -NL- Social Infrastructure Services is where different types of cameras are mounted on vehicles -NL- depending on the type of infrastructure to capture images. These images are then processed -NL- using image processing, AI/ML algorithms and an infrastructure specific report is generated -NL- which can be consumed by the other companies or local government for maintaining and -NL- managing the infrastructure. -NL- Implemented automation testing pipelines to test SIS application end-to-end using Groovy -NL- scripts and Jenkins reducing our overall testing time. -NL- Developed a CI/CD pipeline for application and deployed all the micro services into AWS (EC2) -NL- using Jenkins. -NL- Tools:Rest Assured, TestNG, Groovy, Gradle, AWS, Docker, Jmeter, Jenkins, Selenium, Postman, -NL- Swagger, Redmine, Git. -NL- 2014 - 2015 -NL- **`Ricoh Innovations Pvt Ltd`[EMPLOYER_COMPANY_NAME]**: **`Test Engineer`[EMPLOYER_ROLE]** -NL- Portableinteractivewhiteboard(PIWB) -NL- PIWB provides an efficient solution for team collaborations, teaching and meetings. -NL- Manually tested the functional testing of android mobile application. -NL- Tools:Android Tab, Rally -NL- **`Education`[EDUCATION_HEADING]** -NL- 2010 - 2014 -NL- B.E in **`Electronics & Communication`[EDUCATION_COURSE]** -NL- RNSInstituteOfTechnology -NL- 